@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --primary: #5b5b5f;
  --secondary: #f3911d;
  --white: #fff;
}
body {
  font-family: "Montserrat", sans-serif;
}

main {
  width: 100%;
}

.banner-vales {
  width: 100%;
}
.banner-vales img {
  width: 100%;
}
.text-vales {
  width: 80%;
  margin: 40px auto;
  text-align: center;
  color: var(--primary);
  font-size: 30px;
}
.vales-container {
  width: 90%;
  margin: 112px auto 70px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.vale-card {
  width: 310px;
  height: 477px;
  text-align: center;
}
.vale-card img {
  width: 100%;
  margin-bottom: 20px;
}

.vale-card a {
  color: var(--secondary);
  text-transform: uppercase;
  text-decoration: none;
  font-size: 26px;
  font-weight: bold;
  padding: 8px 80px;
  border: var(--secondary) solid 1px;
  margin-top: 90px;
  transition: all 0.3s ease;
}
.vale-card a:hover {
  color: var(--white);
  background-color: var(--secondary);
}
.vantagens-vales {
  width: 90%;
  margin: 0 auto;
  text-align: center;
  margin-bottom: 90px;
}
.title-section {
  text-transform: uppercase;
  color: var(--secondary);
  font-size: 32px;
  font-weight: bold;
  margin-bottom: 60px;
}
.vantagens-session {
  display: flex;
  justify-content: space-between;
}
.vantagens-container {
  display: flex;
  flex-direction: column;
}
.vantagens-card {
  display: flex;
  width: 545px;
  height: 98px;
  align-items: center;
}
.vantagens-card img {
  width: 48px;
  height: 50px;
}
.vantagens-text {
  text-align: left;
  margin-left: 30px;
}
.vantagens-text .title {
  color: var(--secondary);
  font-weight: bold;
  font-size: 18px;
  margin-bottom: 8px;
  text-transform: uppercase;
}
.vantagens-text .subtitle {
  color: var(--primary);
}
.como-funciona {
  text-align: center;
  margin-bottom: 90px;
}

.como-funciona-items {
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: space-around;
}
.como-funciona-items img {
  width: 350px;
  height: 331px;
}
.faq {
  width: 86%;
  margin: 0 auto 90px;
}
.faq .title-section {
  text-align: center;
}
details {
  color: var(--primary);
  font-size: 25px;
}
details span {
    font-size: 16px;
    line-height: 25px;
    margin-bottom: 10px;
}
summary {
  margin-bottom: 20px;
  margin-top: 20px;
  cursor: pointer;
}
summary::marker {
  color: var(--secondary);
}
.regulamento {
  width: 90%;
  margin: 0 auto 90px;
  text-align: center;
}
.text-regulamento {
  text-align: left;
  color: var(--primary);
}

@media (min-width: 1900px) {
  .vales-container,
  .vantagens-vales {
    width: 80%;
  }
  .vantagens-card {
    margin-bottom: 40px;
  }
  .vantagens-card img {
    width: 55px;
    height: 58px;
  }
  .vantagens-text {
    font-size: 22px;
  }
  .title-section {
    font-size: 40px;
  }
  .como-funciona {
    width: 96%;
    margin: 0 auto 90px;
  }
  .como-funciona-items img {
    width: 410px;
    height: 361px;
  }
}

@media (max-width: 780px) {
  .text-vales {
    font-size: 25px;
  }
  .vales-container {
    margin-top: 40px;
  }
  .vale-card {
    width: 264px;
  }
  .vales-container > * {
    width: 100%;
    flex: 0 0 auto;
  }
  .vantagens-vales {
    margin-bottom: 40px;
  }
  .vantagens-session {
    flex-direction: column;
  }
  .vantagens-card {
    width: 100%;
    margin-bottom: 20px;
  }
  .como-funciona-items {
    flex-direction: column;
  }
  .como-funciona-items img {
    width: 346px;
    height: auto;
    margin-bottom: 20px;
  }
  .faq .title-section {
    font-size: 20px;
  }
  details {
    font-size: 18px;
  }

  /* Ajustes das setas para mobile */

  .vales-container {
    position: relative;
  }

  .a11y-slider-prev,
  .a11y-slider-next {
    all: unset;
    display: block;
    position: absolute;
    top: 44%;
    width: 46px;
    height: 46px;
    cursor: pointer;
    z-index: 10;
    border-radius: 50%;
  }

  .a11y-slider-prev {
    left: -6px;
    background-image: url(/img/next.svg);
    background-repeat: no-repeat;
    transform: rotate(180deg);
  }

  .a11y-slider-next {
    right: -5px;
    background-image: url(/img/next.svg);
    background-repeat: no-repeat;
  }

  .a11y-slider-prev::before {
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-right: 12px solid white;
    margin-left: -2px;
  }

  .a11y-slider-next::before {
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
    border-left: 12px solid white;
    margin-left: 2px;
  }

  .a11y-slider-prev,
  .a11y-slider-next {
    color: transparent; /* texto some */
    text-indent: -9999px; /* empurra o texto para fora da tela */
    overflow: hidden;
  }
}
